do $$
  begin

    --
    -- Name: clusterNodeIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'clusterNodeConsoles' and indexname = 'clusterNodeIdI') then
      CREATE INDEX "clusterNodeIdI" ON public."clusterNodeConsoles" USING btree ("clusterNodeId");
    end if;

    --
    -- Name: clusterNodeConsoles_clusterNodeId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusterNodeConsoles_clusterNodeId_fkey') then
      ALTER TABLE ONLY public."clusterNodeConsoles"
          ADD CONSTRAINT "clusterNodeConsoles_clusterNodeId_fkey" FOREIGN KEY ("clusterNodeId") REFERENCES public."clusterNodes"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: clusterNodeConsoles_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusterNodeConsoles_projectId_fkey') then
      ALTER TABLE ONLY public."clusterNodeConsoles"
          ADD CONSTRAINT "clusterNodeConsoles_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
