do $$
  begin

    --
    -- Name: clusNodStatClusNodIdRepAtI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'clusterNodeStats' and indexname = 'clusNodStatClusNodIdRepAtI') then
      CREATE INDEX "clusNodStatClusNodIdRepAtI" ON public."clusterNodeStats" USING btree ("clusterNodeId", "reportedAt");
    end if;

    --
    -- Name: clusNodStatIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'clusterNodeStats' and indexname = 'clusNodStatIdU') then
      CREATE UNIQUE INDEX "clusNodStatIdU" ON public."clusterNodeStats" USING btree (id);
    end if;

    --
    -- Name: clusterNodeStats_clusterNodeId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusterNodeStats_clusterNodeId_fkey') then
      ALTER TABLE ONLY public."clusterNodeStats"
          ADD CONSTRAINT "clusterNodeStats_clusterNodeId_fkey" FOREIGN KEY ("clusterNodeId") REFERENCES public."clusterNodes"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: clusterNodeStats_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusterNodeStats_projectId_fkey') then
      ALTER TABLE ONLY public."clusterNodeStats"
          ADD CONSTRAINT "clusterNodeStats_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
