do $$
  begin

    --
    -- Name: clusterNodes_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'clusterNodes_pkey') then
      ALTER TABLE ONLY public."clusterNodes"
          ADD CONSTRAINT "clusterNodes_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: clusNodeProjectIdFriendlyNameU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'clusterNodes' and indexname = 'clusNodeProjectIdFriendlyNameU') then
      CREATE UNIQUE INDEX "clusNodeProjectIdFriendlyNameU" ON public."clusterNodes" USING btree ("friendlyName", "projectId");
    end if;
    
    --
    -- Name: clusNodeProjectIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'clusterNodes' and indexname = 'clusNodeProjectIdI') then
      CREATE INDEX "clusNodeProjectIdI" ON public."clusterNodes" USING btree ("projectId");
    end if;
    
    --
    -- Name: clusterNodes_clusterId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'clusterNodes_clusterId_fkey') then
      ALTER TABLE ONLY public."clusterNodes"
          ADD CONSTRAINT "clusterNodes_clusterId_fkey" FOREIGN KEY ("clusterId") REFERENCES public.clusters(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: clusterNodes_nodeTypeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'clusterNodes_nodeTypeCode_fkey') then
      ALTER TABLE ONLY public."clusterNodes"
          ADD CONSTRAINT "clusterNodes_nodeTypeCode_fkey" FOREIGN KEY ("nodeTypeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: clusterNodes_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'clusterNodes_projectId_fkey') then
      ALTER TABLE ONLY public."clusterNodes"
          ADD CONSTRAINT "clusterNodes_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: clusterNodes_statusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'clusterNodes_statusCode_fkey') then
      ALTER TABLE ONLY public."clusterNodes"
          ADD CONSTRAINT "clusterNodes_statusCode_fkey" FOREIGN KEY ("statusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: clusterNodes_systemMachineImageId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'clusterNodes_systemMachineImageId_fkey') then
      ALTER TABLE ONLY public."clusterNodes"
          ADD CONSTRAINT "clusterNodes_systemMachineImageId_fkey" FOREIGN KEY ("systemMachineImageId") REFERENCES public."systemMachineImages"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
  end
$$
