do $$
  begin

    --
    -- Name: masterIntegrations_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrations_pkey') then
      ALTER TABLE ONLY public."masterIntegrations"
          ADD CONSTRAINT "masterIntegrations_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: mIntNameTypeU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrations' and indexname = 'mIntNameTypeU') then
      CREATE INDEX "mIntNameTypeU" ON public."masterIntegrations" USING btree (name, type);
    end if;
    
    --
    -- Name: masterIntegrations_typeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrations_typeCode_fkey') then
      ALTER TABLE ONLY public."masterIntegrations"
          ADD CONSTRAINT "masterIntegrations_typeCode_fkey" FOREIGN KEY ("typeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
