do $$
  begin

    --
    -- Name: pipelineStepConnections_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_pkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: pipelineStepConnectionsOpOpIntIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpOpIntIdI') then
      CREATE INDEX "pipelineStepConnectionsOpOpIntIdI" ON public."pipelineStepConnections" USING btree (operation, "operationIntegrationId");
    end if;
    
    --
    -- Name: pipelineStepConnectionsOpOpIntResIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpOpIntResIdI') then
      CREATE INDEX "pipelineStepConnectionsOpOpIntResIdI" ON public."pipelineStepConnections" USING btree (operation, "operationResourceId");
    end if;
    
    --
    -- Name: pipelineStepConnectionsOpOpStepIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpOpStepIdI') then
      CREATE INDEX "pipelineStepConnectionsOpOpStepIdI" ON public."pipelineStepConnections" USING btree (operation, "operationPipelineStepId");
    end if;
    
    --
    -- Name: pipelineStepConnectionsPipIdPSIdOpOpRIdOpPSIdOpIntIdU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipIdPSIdOpOpRIdOpPSIdOpIntIdU') then
      CREATE UNIQUE INDEX "pipelineStepConnectionsPipIdPSIdOpOpRIdOpPSIdOpIntIdU" ON public."pipelineStepConnections" USING btree ("pipelineId", "pipelineStepId", operation, "operationResourceId", "operationPipelineStepId", "operationIntegrationId");
    end if;
    
    --
    -- Name: pipelineStepConnectionsPipelineIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipelineIdI') then
      CREATE INDEX "pipelineStepConnectionsPipelineIdI" ON public."pipelineStepConnections" USING btree ("pipelineId");
    end if;
    
    --
    -- Name: pipelineStepConnections_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_pipelineId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: pipelineStepConnections_pipelineStepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_pipelineStepId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_pipelineStepId_fkey" FOREIGN KEY ("pipelineStepId") REFERENCES public."pipelineSteps"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: pipelineStepConnections_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_projectId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
