do $$
  begin

    --
    -- Name: pipelinesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelines' and indexname = 'pipelinesIdU') then
      CREATE UNIQUE INDEX "pipelinesIdU" ON public.pipelines USING btree (id);
    end if;

    --
    -- Name: pipelinesProjectIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelines' and indexname = 'pipelinesProjectIdNameU') then
      CREATE UNIQUE INDEX "pipelinesProjectIdNameU" ON public.pipelines USING btree ("projectId", name);
    end if;

    --
    -- Name: pipelinesPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelines' and indexname = 'pipelinesPipelineSourceIdI') then
      CREATE INDEX "pipelinesPipelineSourceIdI" ON public.pipelines USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: pipelines_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelines_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public.pipelines
          ADD CONSTRAINT "pipelines_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelines_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelines_projectId_fkey') then
      ALTER TABLE ONLY public.pipelines
          ADD CONSTRAINT "pipelines_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
