do $$
  begin

    --
    -- Name: systemRuntimeLanguages_pkey; Type: CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemRuntimeLanguages_pkey') then
      ALTER TABLE ONLY public."systemRuntimeLanguages"
          ADD CONSTRAINT "systemRuntimeLanguages_pkey" PRIMARY KEY (id);
    end if;

    --
    -- Name: systemRuntimeLanguagesSystemRuntimeTemplateIdLanguageIsDefaultU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemRuntimeLanguages' and indexname = 'systemRuntimeLanguagesSystemRuntimeTemplateIdLanguageIsDefaultU') then
      CREATE UNIQUE INDEX "systemRuntimeLanguagesSystemRuntimeTemplateIdLanguageIsDefaultU" ON public."systemRuntimeLanguages" USING btree ("systemRuntimeTemplateId", language, "isDefault") WHERE ("isDefault" = true);
    end if;

    --
    -- Name: systemRuntimeLanguagesSystemRuntimeTemplateIdLanguageVersionU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemRuntimeLanguages' and indexname = 'systemRuntimeLanguagesSystemRuntimeTemplateIdLanguageVersionU') then
      CREATE UNIQUE INDEX "systemRuntimeLanguagesSystemRuntimeTemplateIdLanguageVersionU" ON public."systemRuntimeLanguages" USING btree ("systemRuntimeTemplateId", language, version);
    end if;

    --
    -- Name: systemRuntimeLanguages_runtimeTemplateId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemRuntimeLanguages_systemRuntimeTemplateId_fkey') then
      ALTER TABLE ONLY public."systemRuntimeLanguages"
          ADD CONSTRAINT "systemRuntimeLanguages_systemRuntimeTemplateId_fkey" FOREIGN KEY ("systemRuntimeTemplateId") REFERENCES public."systemRuntimeTemplates"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
