do $$
  begin

    --
    -- Name: systemRuntimeTemplates_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'systemRuntimeTemplates_pkey') then
      ALTER TABLE ONLY public."systemRuntimeTemplates"
          ADD CONSTRAINT "systemRuntimeTemplates_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: systemRuntimeTemplatesArchTypeOSTypeDefaultU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'systemRuntimeTemplates' and indexname = 'systemRuntimeTemplatesArchTypeOSTypeDefaultU') then
      CREATE UNIQUE INDEX "systemRuntimeTemplatesArchTypeOSTypeDefaultU" ON public."systemRuntimeTemplates" USING btree ("archTypeCode", "osTypeCode", "isDefault") WHERE ("isDefault" = true);
    end if;
    
    --
    -- Name: systemRuntimeTemplatesArchTypeOSTypeVersionU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'systemRuntimeTemplates' and indexname = 'systemRuntimeTemplatesArchTypeOSTypeVersionU') then
      CREATE UNIQUE INDEX "systemRuntimeTemplatesArchTypeOSTypeVersionU" ON public."systemRuntimeTemplates" USING btree ("archTypeCode", "osTypeCode", version);
    end if;
    
    --
    -- Name: systemRuntimeTemplates_archTypeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'systemRuntimeTemplates_archTypeCode_fkey') then
      ALTER TABLE ONLY public."systemRuntimeTemplates"
          ADD CONSTRAINT "systemRuntimeTemplates_archTypeCode_fkey" FOREIGN KEY ("archTypeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: systemRuntimeTemplates_osTypeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'systemRuntimeTemplates_osTypeCode_fkey') then
      ALTER TABLE ONLY public."systemRuntimeTemplates"
          ADD CONSTRAINT "systemRuntimeTemplates_osTypeCode_fkey" FOREIGN KEY ("osTypeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
