--
-- Name: clusterNodes; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."clusterNodes" (
    id smallint NOT NULL,
    "projectId" smallint NOT NULL,
    "statusCode" smallint DEFAULT 0 NOT NULL,
    "friendlyName" character varying(80) NOT NULL,
    "isShippableInitialized" boolean NOT NULL,
    "isDebug" boolean,
    "isSwapEnabled" boolean DEFAULT false NOT NULL,
    "nodeTypeCode" integer,
    location character varying(255),
    "sshPort" integer,
    "sshUser" character varying(255),
    "sourceId" character varying(80),
    "initScript" text,
    "execImage" character varying(80),
    info text,
    "stepId" bigint,
    "statusLastUpdatedAt" timestamp with time zone,
    "provisionedAt" timestamp with time zone,
    "systemMachineImageId" character varying(24),
    "maxNodeIdleTimeInHrs" integer,
    "clusterId" smallint,
    "setAsStopped" boolean,
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: clusterNodes_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."clusterNodes_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: clusterNodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."clusterNodes_id_seq" OWNED BY public."clusterNodes".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."clusterNodes" ALTER COLUMN id SET DEFAULT nextval('public."clusterNodes_id_seq"'::regclass);

