--
-- Name: clusters; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.clusters (
    id smallint NOT NULL,
    "projectId" smallint NOT NULL,
    name character varying(255) NOT NULL,
    "queueName" character varying(255),
    "clusterNodeCount" integer DEFAULT 0 NOT NULL,
    "clusterTypeCode" smallint NOT NULL,
    "systemRuntimeTemplateId" integer NOT NULL,
    "maxDiskUsagePercentage" integer,
    "timeoutMS" integer,
    "isNatEnabled" boolean,
    "propertyBag" text,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.clusters_id_seq OWNED BY public.clusters.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.clusters ALTER COLUMN id SET DEFAULT nextval('public.clusters_id_seq'::regclass);
