--
-- Name: pipelineSources; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."pipelineSources" (
    id integer NOT NULL,
    "projectId" smallint NOT NULL,
    "projectIntegrationId" integer NOT NULL,
    "repositoryFullName" character varying(255) NOT NULL,
    branch character varying(255) NOT NULL,
    "fileFilter" character varying(510) NOT NULL,
    "isSyncing" boolean DEFAULT false NOT NULL,
    "lastSyncStatusCode" smallint,
    "lastSyncStartedAt" timestamp with time zone,
    "lastSyncEndedAt" timestamp with time zone,
    "lastSyncLogs" text,
    "resourceId" integer,
    "createdBy" integer NOT NULL,
    "updatedBy" integer NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: pipelineSources_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."pipelineSources_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: pipelineSources_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."pipelineSources_id_seq" OWNED BY public."pipelineSources".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."pipelineSources" ALTER COLUMN id SET DEFAULT nextval('public."pipelineSources_id_seq"'::regclass);
