--
-- Name: pipelineStepConnections; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."pipelineStepConnections" (
    id bigint NOT NULL,
    "pipelineStepId" integer NOT NULL,
    operation character varying(255) NOT NULL,
    "operationResourceId" integer,
    "operationResourceName" character varying(255),
    "operationPipelineStepId" integer,
    "operationPipelineStepName" character varying(255),
    "operationIntegrationId" integer,
    "operationIntegrationName" character varying(255),
    "projectId" smallint NOT NULL,
    "pipelineId" integer NOT NULL,
    "isTrigger" boolean DEFAULT false NOT NULL,
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: pipelineStepConnections_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."pipelineStepConnections_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: pipelineStepConnections_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."pipelineStepConnections_id_seq" OWNED BY public."pipelineStepConnections".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."pipelineStepConnections" ALTER COLUMN id SET DEFAULT nextval('public."pipelineStepConnections_id_seq"'::regclass);

