--
-- Name: stepTestReports; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."stepTestReports" (
    id bigint NOT NULL,
    "projectId" smallint NOT NULL,
    "stepId" bigint NOT NULL,
    "durationSeconds" integer,
    "errorDetails" text,
    "failureDetails" text,
    "totalTests" smallint,
    "totalPassing" smallint,
    "totalFailures" smallint,
    "totalErrors" smallint,
    "totalSkipped" smallint,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: stepTestReports_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."stepTestReports_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: stepTestReports_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."stepTestReports_id_seq" OWNED BY public."stepTestReports".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."stepTestReports" ALTER COLUMN id SET DEFAULT nextval('public."stepTestReports_id_seq"'::regclass);
