--
-- Name: systemMachineImages; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."systemMachineImages" (
    id character varying(24) NOT NULL,
    "systemMachineImageId" integer NOT NULL,
    "externalId" character varying(80) NOT NULL,
    provider character varying(80) NOT NULL,
    name character varying(80) NOT NULL,
    description text NOT NULL,
    "isAvailable" boolean NOT NULL,
    "isDefault" boolean NOT NULL,
    region character varying(80) NOT NULL,
    "keyName" character varying(80) NOT NULL,
    "runShImage" character varying(80) NOT NULL,
    "reqProcImage" character varying(80),
    "securityGroup" character varying(80) NOT NULL,
    "subnetId" character varying(80),
    "drydockTag" character varying(50) NOT NULL,
    "drydockFamily" character varying(255) NOT NULL,
    "sshUser" character varying(255) DEFAULT 'ubuntu'::character varying NOT NULL,
    "sshPort" integer DEFAULT 22 NOT NULL,
    "archTypeCode" smallint DEFAULT 8000 NOT NULL,
    "systemRuntimeTemplateId" integer,
    "privateSubnetId" character varying(80),
    "publicNatIp" character varying(80),
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: systemMachineImages_systemMachineImageId_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."systemMachineImages_systemMachineImageId_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: systemMachineImages_systemMachineImageId_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."systemMachineImages_systemMachineImageId_seq" OWNED BY public."systemMachineImages"."systemMachineImageId";


--
-- Name: systemMachineImageId; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."systemMachineImages" ALTER COLUMN "systemMachineImageId" SET DEFAULT nextval('public."systemMachineImages_systemMachineImageId_seq"'::regclass);
